## com.google.appengine.api.prospectivesearch
Class QuerySyntaxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.prospectivesearch.QuerySyntaxException

All Implemented Interfaces:
  java.io.Serializable

    public class QuerySyntaxException

extends java.lang.RuntimeException

Indicates an error in the query syntax. See the package documentation for the full query syntax specification.

See Also:
  Serialized Form

Constructor Summary
`QuerySyntaxException(java.lang.String subId, java.lang.String topic, java.lang.String query, java.lang.String msg)`

Method Summary
`java.lang.String` `getQuery()`
`java.lang.String` `getSubId()`
`java.lang.String` `getTopic()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QuerySyntaxException

    public QuerySyntaxException(java.lang.String subId,
                                java.lang.String topic,
                                java.lang.String query,
                                java.lang.String msg)

Method Detail

### getSubId

    public java.lang.String getSubId()

### getTopic

    public java.lang.String getTopic()

### getQuery

    public java.lang.String getQuery()